package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class StockDetailBean {


    /**
     * records : [{"createdBy":143,"createdByName":null,"createdTime":"2019-11-26 16:54:43","updatedBy":null,"updatedByName":null,"updatedTime":"2019-11-26 16:54:43","id":62,"sqId":50,"orderType":"SO","orderId":"SO10579","quantity":0,"applyInto":0,"applyOut":0,"version":4,"productId":30,"stockId":5,"stockName":"技术中心成品库","orderTypeName":"销售订单","productName":"整体塞棒","productSoleCode":"70GTB214001","productSimpleCode":"B214","quantityDetailFlowList":null}]
     * total : 1
     * size : 10
     * current : 1
     * orders : []
     * searchCount : true
     * pages : 1
     */

    private int total;
    private int size;
    private int current;
    private boolean searchCount;
    private int pages;
    private List<RecordsBean> records;
    private List<?> orders;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public boolean isSearchCount() {
        return searchCount;
    }

    public void setSearchCount(boolean searchCount) {
        this.searchCount = searchCount;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public static class RecordsBean {
        /**
         * createdBy : 143
         * createdByName : null
         * createdTime : 2019-11-26 16:54:43
         * updatedBy : null
         * updatedByName : null
         * updatedTime : 2019-11-26 16:54:43
         * id : 62
         * sqId : 50
         * orderType : SO
         * orderId : SO10579
         * quantity : 0.0
         * applyInto : 0.0
         * applyOut : 0.0
         * version : 4
         * productId : 30
         * stockId : 5
         * stockName : 技术中心成品库
         * orderTypeName : 销售订单
         * productName : 整体塞棒
         * productSoleCode : 70GTB214001
         * productSimpleCode : B214
         * quantityDetailFlowList : null
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private String updatedTime;
        private int id;
        private int sqId;
        private String orderType;
        private String orderId;
        private double quantity;
        private double applyInto;
        private double applyOut;
        private int version;
        private int productId;
        private int stockId;
        private String stockName;
        private String orderTypeName;
        private String productName;
        private String productSoleCode;
        private String productSimpleCode;
        private Object quantityDetailFlowList;

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public String getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(String updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getSqId() {
            return sqId;
        }

        public void setSqId(int sqId) {
            this.sqId = sqId;
        }

        public String getOrderType() {
            return orderType;
        }

        public void setOrderType(String orderType) {
            this.orderType = orderType;
        }

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public double getQuantity() {
            return quantity;
        }

        public void setQuantity(double quantity) {
            this.quantity = quantity;
        }

        public double getApplyInto() {
            return applyInto;
        }

        public void setApplyInto(double applyInto) {
            this.applyInto = applyInto;
        }

        public double getApplyOut() {
            return applyOut;
        }

        public void setApplyOut(double applyOut) {
            this.applyOut = applyOut;
        }

        public int getVersion() {
            return version;
        }

        public void setVersion(int version) {
            this.version = version;
        }

        public int getProductId() {
            return productId;
        }

        public void setProductId(int productId) {
            this.productId = productId;
        }

        public int getStockId() {
            return stockId;
        }

        public void setStockId(int stockId) {
            this.stockId = stockId;
        }

        public String getStockName() {
            return stockName;
        }

        public void setStockName(String stockName) {
            this.stockName = stockName;
        }

        public String getOrderTypeName() {
            return orderTypeName;
        }

        public void setOrderTypeName(String orderTypeName) {
            this.orderTypeName = orderTypeName;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getProductSoleCode() {
            return productSoleCode;
        }

        public void setProductSoleCode(String productSoleCode) {
            this.productSoleCode = productSoleCode;
        }

        public String getProductSimpleCode() {
            return productSimpleCode;
        }

        public void setProductSimpleCode(String productSimpleCode) {
            this.productSimpleCode = productSimpleCode;
        }

        public Object getQuantityDetailFlowList() {
            return quantityDetailFlowList;
        }

        public void setQuantityDetailFlowList(Object quantityDetailFlowList) {
            this.quantityDetailFlowList = quantityDetailFlowList;
        }
    }
}